read_ali dummy.gpr test.cc

echo ""
echo "Testing unresolved overloaded entity from one of its reference"
find_ref dummy.gpr test.cc f 22 4

echo ""
echo "Testing unresolved overloaded entity not from a reference"
find_ref dummy.gpr test.cc f 22 5

echo ""
echo "Testing unresolved overloaded entity from its body"
find_ref dummy.gpr test.cc g 6 6

echo ""
echo "Testing unresolved overloaded entity from its declaration"
find_ref dummy.gpr test.cc g 4 6

echo ""
echo "Testing scope tree for a C file"
read_scope_tree dummy.gpr test.cc

echo ""
echo "Testing the call graph from a reference to overloaded entity"
read_scope_tree dummy.gpr test.cc g 24 4

echo ""
echo "Testing the call graph from a declaration of an overloaded entity"
read_scope_tree dummy.gpr test.cc g 4 6

echo ""
echo "Testing the call graph from a body of an overloaded entity"
read_scope_tree dummy.gpr test.cc g 6 6
